package database

import (
	"fmt"
	"gorm.io/driver/postgres"
	"gorm.io/gorm"
	"haitao_watcher/pkg/options"
)

func InitDatabase(opt *options.DBOption) (*gorm.DB, error) {
	dsn := fmt.Sprintf("host=%s user=%s password=%s dbname=%s port=%s sslmode=disable TimeZone=Asia/Shanghai", opt.Host, opt.User, opt.Password, opt.DBName, opt.Port)
	return gorm.Open(postgres.Open(dsn), &gorm.Config{})
}
